package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrBlind;

/**
 * 盲板Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrBlindMapper
{
    /**
     * 查询盲板
     *
     * @param id 盲板ID
     * @return 盲板
     */
    public TPssrBlind selectTPssrBlindById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询盲板列表
     *
     * @param tPssrBlind 盲板
     * @return 盲板集合
     */
    
    public List<TPssrBlind> selectTPssrBlindList(TPssrBlind tPssrBlind);

    /**
     * 新增盲板
     *
     * @param tPssrBlind 盲板
     * @return 结果
     */
    public int insertTPssrBlind(TPssrBlind tPssrBlind);

    /**
     * 修改盲板
     *
     * @param tPssrBlind 盲板
     * @return 结果
     */
    public int updateTPssrBlind(TPssrBlind tPssrBlind);
    public int updateTPssrBlindByIds(TPssrBlind tPssrBlind);


    /**
     * 删除盲板
     *
     * @param id 盲板ID
     * @return 结果
     */
    public int deleteTPssrBlindById(Long id);

    /**
     * 批量删除盲板
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrBlindByIds(Long[] ids);
}
